/*******************************************************
 File:	RealTimeClock.h
 Latest version generated:	05.05.2007
 *******************************************************/
#ifndef _RealTimeClock
#define _RealTimeClock
/*
** Note : day of week of RTC is defined as follows:
**			Monday = 0, ... , Sunday = 6
**			while DCF signal is
**			Monday = 1, ... , Sunday = 7
*/
/*
** Define the RTC structure
*/
typedef struct RTC_Para_tag
	{
	uint8_t Second;
	uint8_t Minute;
	uint8_t Hour;
	uint8_t Day;
	uint8_t Month;
	uint8_t Year;		 // without 2000
	uint8_t DayOfWeek;	// {1-7}
	} RTC_Para_typ;

/*
** Public Functions Prototypes
*/
void 	RTC_Init (void);
void 	RTC_SetTimeDateDoW (RTC_Para_typ *RTC_Para);
void 	RTC_GetTimeDateDoW (RTC_Para_typ *RTC_Para);

#endif
